#ifndef HAAR_DETECTOR_H_
#define HAAR_DETECTOR_H_

#include "human_parts_class.h"
#include "opencv/cv.h"
#include <string>
#include <iostream>

using namespace std;

class haar_detector {
	
	public:
		
		haar_detector(human_parts_class*, IplImage*);
		bool run_detection();
		void set_image();
	
	private:
		
		bool detect(const char*, const char*);
		
		human_parts_class* parts_class;
		IplImage*          gray_image;
	
};

#endif /*HAAR_DETECTOR_H_*/
